Bug 37416 - Unique name is not set when you make multiple calls of clonesheet on the same sheet within a workbook
Summary: Unique name is not set when you make multiple calls of clonesheet on the same...
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: unspecified
Hardware: Other other
: P4 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-08 23:48 UTC by Elliott
Modified: 2006-01-04 23:32 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Elliott 2005-11-08 23:48:24 UTC
When you use the clonesheet method on the workbook the name of the sheet is 
defaulted to the name + "(2)" but if you clone the same sheet multiple times 
the names are not unique.
When you write out the Excel file shouldn't the workbook check for duplicate 
sheet names and change them to unique names. As my version of Excel would just 
hang at 100% cpu when opening the excel file when duplicate sheet names were 
used.
Comment 1 Jason Height 2006-01-05 08:32:16 UTC
Fixed in SVN.

Jason